%define name smeserver-xt_geoip
%define version 1.0.1
%define release 04
Summary: smserver rpm to setup database, update and configuration for xt_geoip module with a panel.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://wiki.contribs.org/Main_Page
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-xt_geoip-1.0.1-2-weakupd.patch
Patch1: smeserver-xt_geoip-1.0.1-3-messag.patch
Patch2: smeserver-xt_geoip-1.0.1-4-crontab.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: xtables-addons = 1.47.1
AutoReqProv: no

%description
smserver rpm to setup database, update and configuration for xt_geoip module with a panel.

%changelog
* Sun Oct 29 2017 Michel Begue <mab974@gmail.com>
- bug in crontab update job, 
- [1.0.1-4]

* Mon Oct 16 2017 Michel Begue <mab974@gmail.com>
- new message : inactive GeoIP, 
- value of country code added in message "country not found", 
- [1.0.1-3]

* Sat Oct 08 2017 Michel Begue <mab974@gmail.com>
- test kernel module presence in "/lib/modules/weak-updates" directory
- [1.0.1-2]

* Wed Sep 20 2017 Michel Begue <mab974@gmail.com>
- panel added in server manager
- [1.0.1-1]

* Tue Sep 12 2017 Michel Begue <mab974@gmail.com>
- initial release
- [1.0.0-1]
- xtables-addons v1.47.1 (v1.x required for kernel 2.6.32)

%prep

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

